{
  "name": "@lendry/sso-core",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "build": "nest build && node scripts/copy-generated.mjs",
    "start": "nest start",
    "typecheck": "tsc --noEmit",
    "prisma:validate": "prisma validate --schema prisma/schema.prisma",
    "prisma:format": "prisma format --schema prisma/schema.prisma",
    "prisma:generate": "prisma generate --schema prisma/schema.prisma",
    "prisma:push": "prisma db push --schema prisma/schema.prisma",
    "proto:generate": "node scripts/generate-proto-types.mjs"
  },
  "dependencies": {
    "@aws-sdk/client-s3": "^3.1075.0",
    "@aws-sdk/s3-request-presigner": "^3.1075.0",
    "@grpc/grpc-js": "^1.14.3",
    "@grpc/proto-loader": "^0.8.0",
    "@nestjs/common": "^11.1.9",
    "@nestjs/config": "^4.0.2",
    "@nestjs/core": "^11.1.9",
    "@nestjs/jwt": "^11.0.2",
    "@nestjs/microservices": "^11.1.9",
    "@nestjs/platform-express": "^11.1.9",
    "@prisma/adapter-pg": "^7.8.0",
    "@prisma/client": "^7.1.0",
    "amqplib": "^0.10.9",
    "bcryptjs": "^3.0.3",
    "ioredis": "^5.8.2",
    "pg": "^8.22.0",
    "reflect-metadata": "^0.2.2",
    "rxjs": "^7.8.2",
    "zod": "^4.2.1"
  },
  "devDependencies": {
    "@nestjs/cli": "^11.0.14",
    "@nestjs/schematics": "^11.0.9",
    "@nestjs/testing": "^11.1.9",
    "@types/amqplib": "^0.10.8",
    "@types/node": "^24.10.1",
    "@types/pg": "^8.20.0",
    "grpc-tools": "^1.13.1",
    "prisma": "^7.1.0",
    "ts-node": "^10.9.2",
    "ts-proto": "^2.11.8",
    "typescript": "^5.9.3"
  }
}
